Bug 855406 - rubygem-redcarpet should not be needed in runtime
rubygem-redcarpet should not be needed in runtime
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Infrastructure (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity unspecified (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Og Maciel
: Triaged
: 856796 (view as bug list)
Depends On:
Blocks: 856795 856796
  Show dependency treegraph
 
Reported: 2012-09-07 12:09 EDT by Miroslav Suchý
Modified: 2014-09-18 12:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The "service katello-jobs start" command produces an error due to incorrect or missing environment variables. This update passes the correct environment variables for ruby. The command runs without error.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:52:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2012-09-07 12:09:56 EDT
Description of problem:
service katello-jobs start
produce traceback, because rubygem-carpet is not installed.
But rubygem-carpet should not be needed in runtime (AFAIK).

Additional info:
Traceback from /var/log/katello/jobs-startup.log:

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:239:in `require': no such file to load -- redcarpet (LoadError)
        from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:239:in `require'
        from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:225:in `load_dependency'
        from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:593:in `new_constants_in'
        from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:225:in `load_dependency'
        from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:239:in `require'
        from /usr/lib/ruby/gems/1.8/gems/apipie-rails-0.0.11/lib/apipie/markup.rb:22:in `initialize'
        from /usr/share/katello/config/initializers/apipie.rb:14:in `new'
        from /usr/share/katello/config/initializers/apipie.rb:14
        from /usr/lib/ruby/gems/1.8/gems/apipie-rails-0.0.11/lib/apipie/apipie_module.rb:21:in `configure'
        from /usr/share/katello/config/initializers/apipie.rb:2
        from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:235:in `load'
        from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:235:in `load'
        from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:225:in `load_dependency'
        from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:593:in `new_constants_in'
        from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:225:in `load_dependency'
        from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:235:in `load'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb:201
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb:200:in `each'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb:200
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:25:in `instance_exec'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:25:in `run'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:50:in `run_initializers'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:49:in `each'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:49:in `run_initializers'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:134:in `initialize!'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:77:in `send'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:77:in `method_missing'
        from /usr/share/katello/config/environment.rb:5
        from script/delayed_job:3:in `require'
        from script/delayed_job:3
Comment 2 Mike McCune 2012-09-12 18:17:53 EDT
*** Bug 856796 has been marked as a duplicate of this bug. ***
Comment 4 Mike McCune 2012-09-12 18:40:29 EDT
any reason this is MODIFIED?  I don't see any commits or fixes for it ...
Comment 5 Miroslav Suchý 2012-09-13 06:03:24 EDT
https://github.com/Katello/katello/pull/657
Comment 9 Og Maciel 2012-09-25 18:04:25 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-9.el6cf.noarch
* katello-all-1.1.12-9.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-5.el6cf.noarch
* katello-cli-common-1.1.8-5.el6cf.noarch
* katello-common-1.1.12-9.el6cf.noarch
* katello-configure-1.1.9-4.el6cf.noarch
* katello-glue-candlepin-1.1.12-9.el6cf.noarch
* katello-glue-pulp-1.1.12-9.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch

[root@qetello03 ~]# service katello-jobs restart
Starting katello-jobs:                                     [  OK  ]
[root@qetello03 ~]# service katello-jobs status
delayed_job is running.
delayed_job_monitor is running.
[root@qetello03 ~]# grep redcarpet /var/log/katello/jobs-startup.log 
[root@qetello03 ~]# grep LoadError /var/log/katello/jobs-startup.log 
[root@qetello03 ~]# katello -u admin -p admin ping
---------------------------------------------------------------------------------------------------------------
                                               Katello Status

 Status   Service          Result   Duration   Message  
---------------------------------------------------------------------------------------------------------------
 ok                                                     
          candlepin        ok       32ms                
          candlepin_auth   ok       29ms                
          elasticsearch    ok       32ms                
          katello_jobs     ok       40ms                
          pulp             ok       61ms                
          pulp_auth        ok       62ms
Comment 10 Thom Carlin 2012-10-05 11:55:18 EDT
katello-check currently needs redcarpet for apipie:
/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:239:in `require': no such file to load -- redcarpet (LoadError)
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:239:in `require'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:593:in `new_constants_in'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:239:in `require'
	from /usr/lib/ruby/gems/1.8/gems/apipie-rails-0.0.11/lib/apipie/markup.rb:22:in `initialize'
	from /usr/share/katello/config/initializers/apipie.rb:14:in `new'
	from /usr/share/katello/config/initializers/apipie.rb:14
	from /usr/lib/ruby/gems/1.8/gems/apipie-rails-0.0.11/lib/apipie/apipie_module.rb:21:in `configure'
	from /usr/share/katello/config/initializers/apipie.rb:2
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:235:in `load'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:235:in `load'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:593:in `new_constants_in'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:235:in `load'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb:201
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb:200:in `each'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb:200
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:25:in `instance_exec'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:25:in `run'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:50:in `run_initializers'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:49:in `each'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:49:in `run_initializers'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:134:in `initialize!'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:77:in `send'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:77:in `method_missing'
	from /usr/share/katello/config/environment.rb:5
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:239:in `require'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:239:in `require'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:593:in `new_constants_in'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:225:in `load_dependency'
	from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:239:in `require'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:103:in `require_environment!'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/commands/runner.rb:40
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/commands.rb:39:in `require'
	from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/commands.rb:39
	from script/rails:45:in `require'
	from script/rails:45
Comment 12 errata-xmlrpc 2012-12-04 14:52:38 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.